> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> Getting all your customers in your portal as paginated response



## OpenAPI

````yaml /openapi.yaml get /customers
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customers:
    get:
      tags:
        - Customers API
      summary: List Customers
      description: Getting all your customers in your portal as paginated response
      operationId: list-customers
      responses:
        '200':
          description: Paginated response with customers
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Customer objects
                    items:
                      $ref: '#/components/schemas/Customer'
                  first_page_url:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/customers?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: https://api.mijnklantportaal.nl/v1/customers?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/customers
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    Customer:
      type: object
      description: Customer
      properties:
        id:
          type: string
          example: cst_abc12345def678
          description: ID of the customer, always starting with `cst_`.
        companyName:
          type: string
          example: Test Company BV
          description: Name of the customer
        address:
          type: string
          example: Teststreet 123
          description: Street name and number of the customer
        zipCode:
          type: string
          example: 1234AB
          description: Zip code of the customer
        city:
          type: string
          example: Amsterdam
          description: City of the customer
        countryCode:
          type: string
          example: NL
          description: The two-letter country code (ISO 3166-1 alpha-2)
        primaryEmail:
          type: string
          example: john.doe@test.com
          description: >-
            Primary email of the customer. This will be used to send
            notification to.
        phone:
          type: string
          nullable: true
          example: '+312012345678'
          description: Phone number, if available, including country code.
        integration:
          type: string
          nullable: true
          example: acumulus
          description: >-
            If the customer is linked to a bookkeeping integration, the ID of
            the integration is set here.
        integrationId:
          type: string
          nullable: true
          example: '123456789'
          description: >-
            If the customer is linked to a bookkeeping integration, the ID of
            the customer in the integration is set here.
        customerGroups:
          type: array
          description: An array of Customer Group IDs of which this customer is part of
          items:
            type: string
            example: cug_123abc567
        createdAt:
          type: string
          example: '2024-04-28T21:00:00+02:00'
          description: >-
            Date and time when the customer is added to MijnKlantportaal.
            Written in ATOM format.
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````